Package org.eclipse.e4.ui.model.application.ui.advanced

## Interface MAdvancedFactory

    public interface MAdvancedFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  1.0

### Field Summary

Fields
`static MAdvancedFactory` `INSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`MArea` `createArea()` Returns a new object of class 'Area'.
`MPerspective` `createPerspective()` Returns a new object of class 'Perspective'.
`MPerspectiveStack` `createPerspectiveStack()` Returns a new object of class 'Perspective Stack'.
`MPlaceholder` `createPlaceholder()` Returns a new object of class 'Placeholder'.

### Field Detail

#### INSTANCE

    static final MAdvancedFactory INSTANCE

The singleton instance of the factory.

### Method Detail

#### createPlaceholder

    MPlaceholder createPlaceholder()

Returns a new object of class 'Placeholder'.

Returns:
  a new object of class 'Placeholder'.
Since:
  1.0

#### createPerspective

    MPerspective createPerspective()

Returns a new object of class 'Perspective'.

Returns:
  a new object of class 'Perspective'.
Since:
  1.0

#### createPerspectiveStack

    MPerspectiveStack createPerspectiveStack()

Returns a new object of class 'Perspective Stack'.

Returns:
  a new object of class 'Perspective Stack'.
Since:
  1.0

#### createArea

    MArea createArea()

Returns a new object of class 'Area'.

Returns:
  a new object of class 'Area'.
Since:
  1.0